CVE-2002-2131
CVSS5.0
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:24
NMCO    

[原文]Directory traversal vulnerability in Perl-HTTPd before 1.0.2 allows remote attackers to view arbitrary files via a .. (dot dot) in an unknown argument.


[CNNVD]Perl-HTTPd远程目录遍历漏洞(CNNVD-200212-320)

        
        Perl-HTTPd是一款由PERL编写的简易的WEB服务程序。
        Perl-HTTPd没有正确过滤部分恶意WEB请求,远程攻击者可以利用这个漏洞以WEB权限在系统上查看任意文件信息。
        由于Perl-HTTPd对'../'字符缺少正确过滤,远程攻击者可以提交多个包含'../'字符的WEB请求,可绕过HTTP ROOT目录限制,以WEB进程权限在系统上查看任意文件,造成信息泄露,利用这些信息可以进一步对系统进行攻击。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:perl-httpd:perl-httpd:1.0
cpe:/a:perl-httpd:perl-httpd:1.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2131
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2131
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-320
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6497
(PATCH)  BID  6497
http://www.iss.net/security_center/static/10992.php
(PATCH)  XF  perlhttpd-dotdot-directory-traversal(10992)
http://citrustech.net/~chrisj/perl-httpd/INFO.txt
(UNKNOWN)  MISC  http://citrustech.net/~chrisj/perl-httpd/INFO.txt

- 漏洞信息

Perl-HTTPd远程目录遍历漏洞
中危 输入验证
2002-12-31 00:00:00 2006-01-24 00:00:00
远程  
        
        Perl-HTTPd是一款由PERL编写的简易的WEB服务程序。
        Perl-HTTPd没有正确过滤部分恶意WEB请求,远程攻击者可以利用这个漏洞以WEB权限在系统上查看任意文件信息。
        由于Perl-HTTPd对'../'字符缺少正确过滤,远程攻击者可以提交多个包含'../'字符的WEB请求,可绕过HTTP ROOT目录限制,以WEB进程权限在系统上查看任意文件,造成信息泄露,利用这些信息可以进一步对系统进行攻击。
        

- 公告与补丁

        厂商补丁:
        Perl-HTTPd
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Perl-HTTPd Upgrade perl-httpd-1.0.2.tar.gz
        
        http://citrustech.net/~chrisj/perl-httpd/perl-httpd-1.0.2.tar.gz

- 漏洞信息

59091
Perl-HTTPd URI Traversal Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality Upgrade
Exploit Public Vendor Verified

- 漏洞描述

Perl-HTTPd contains a flaw that allows a remote user to traverse outside of a restricted path. The issue is due to the application not properly sanitizing user input, specifically directory traversal style attacks (e.g., ../../) supplied via the URI. This directory traversal attack would allow the attacker to view files outside of the web root directory.

- 时间线

2002-12-31 Unknow
2002-12-31 2002-12-31

- 解决方案

Upgrade to version 1.0.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站